#ifndef _Sauvegarde_Client_6_H
#define _Sauvegarde_Client_6_H


#include <sys/types.h>
#include <sys/socket.h>
#include <stdio.h>
#include <pthread.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <string.h>


#define MAX_LIGNE 1000
#define TAILLE_PSEUDO 40

#define MAX_CLIENT_CONNECTE 100

typedef struct info_client{
    int socket;
    struct sockaddr_in6 addr;
    socklen_t len;
    char pseudo[TAILLE_PSEUDO];
}info_client;


struct Client_Present{
    int socket;
    char pseudo[TAILLE_PSEUDO];
    char hote[40];
    int port;
}Client_Present;

/*Répertoire permettant de stocker toute les informations nécessaires des clients connectés afin de pouvoir les mettre en communication lorsqu'ils le demandent */
struct Client_Present liste_client[MAX_CLIENT_CONNECTE];

int Connexion_client(info_client client);

int hachage(info_client client);

void Deconnexion_client(info_client client);

int nombre_de_client_connecte(void);

#endif
