#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#include "Gestion_requete.h"

extern int demande_de_connexion_HP_TCP;

/*Gestion des requêtes que le serveur peut envoyer */
int gestion_requete_serveur(char* message){
#ifdef DEBUG	
    printf("[Client] [Gestion_requete.c] [gestion_requete_serveur] Message : '%s'\n",message);
#endif	
    char *chaine = NULL;
    chaine = strstr(message,"DeconnexionServeur!!!\n"); //regarde si la trame reçue est celle utilisée pour login un client
    if(chaine != NULL){
        return 1;
    }
    chaine = strstr(message,"Connexion_a!: ");  //regarde si la trame reçue est celle utilisée pour se connecter à un peer
    if(chaine != NULL){
        return 2;
    }
    return 0;
}

void affichage_menu(void){
    printf("Bienvenue sur le serveur, voici les commandes possibles :\n1 <pseudo> pour demander une connexion peer to peer avec <pseudo>\n2 Pour se déconnecter du serveur\n");
}


/*Gestion des requêtes que le client peut envoyer */
int gestion_requete_client(char * message, char* pseudo){
    
#ifdef DEBUG	
    printf("[Client] [Gestion_requete.c] [gestion_requete_client] Message : '%s', pseudo : '%s'\n",message,pseudo);
#endif	
    
    if(message[0] == '1'){
        char* pseudo_clientB = (char* ) malloc(sizeof(char)*50);
        char *chaine = NULL;
        chaine = strchr(message,' ');
        if(chaine == NULL){
            printf("La commande rentrée n'est pas acceptée par le serveur\n");
            return 0;
        }
        int i = 1;
        while(chaine[i] != '\n'){   //Récupération du login que le client a envoyé
            pseudo_clientB[i-1] = chaine[i];
            i++;
        }
        pseudo_clientB[i-1] = '\0';
        sprintf(message,"%s:Co!: %s\n",pseudo,pseudo_clientB); //Création de la trame de connexion à un autre peer à envoyer au serveur
        demande_de_connexion_HP_TCP = 1;
        
#ifdef DEBUG	
        printf("[Client] [Gestion_requete.c] [gestion_requete_serveur] Tentative de connexion avec : '%s' avec le message suivant : '%s'\n",pseudo_clientB, message);
#endif	
        
        return 1;
    }
    else if(message[0] == '2'){
        sprintf(message,"%s:Deco!!!\n",pseudo); //Création de la trame de déconnexion à envoyer au serveur
        
#ifdef DEBUG	
        printf("[Client] [Gestion_requete.c] [gestion_requete_serveur] Tentative de deconnexion avec le message suivant : '%s'\n", message);
#endif
        
        return -1;
    }
    else{
        printf("La commande rentrée n'est pas acceptée par le serveur\n");
        return 0;
    }
}
